package cn.hmsoft.pay.data.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import cn.hmsoft.jdbc.entity.Table;
import cn.hmsoft.pay.constants.PaySeqName;

/**********************************************
 * 支付订单
 * 
 * @author: Zhang XiaoQing
 * @date: 2017-08-21 15:34:29
 * @version: 4.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PAY_BILL", keyColumn = "BILL_ID", sequenceName = PaySeqName.PayBillId)
public class PayBill implements Serializable {
	private static final long serialVersionUID = -2898017337313040289L;
	// 订单编号
	private Integer bill_id;
	// 商户编号
	private String merchant_id;
	// 渠道编号
	private String channel_id;
	// 订单生成日期
	private LocalDateTime bill_time;
	// 订单金额，分为单位
	private Integer bill_amount;
	// 订单状态
	private String bill_status;
	// 支付的业务类型
	private String business_type;
	// 支付的业务的编号
	private String business_id;
	// 退款时间
	private LocalDateTime refund_time;
	// 订单外部编号
	private String bill_no;
	/***********************
	 * 实际支付时间
	 */
	private LocalDateTime pay_time;
	// 银行返回时间
	private LocalDateTime reply_time;
	// 订单属于哪个用户
	private String customer_id;
	//学年ID
	private String detail_id;
	
	// 渠道对应的流水号
	private String channel_no;
	// 订单其他参数
	private String bill_param;

	/****
	 * 订单编号
	 */
	public Integer getBill_id() {
		return this.bill_id;
	}

	/****
	 * 订单编号
	 */
	public void setBill_id(Integer bill_id) {
		this.bill_id = bill_id;
	}

	/****
	 * 商户编号
	 */
	public String getMerchant_id() {
		return this.merchant_id;
	}

	/****
	 * 商户编号
	 */
	public void setMerchant_id(String merchant_id) {
		this.merchant_id = merchant_id;
	}

	/****
	 * 渠道编号
	 */
	public String getChannel_id() {
		return this.channel_id;
	}

	/****
	 * 渠道编号
	 */
	public void setChannel_id(String channel_id) {
		this.channel_id = channel_id;
	}

	/****
	 * 订单生成日期
	 */
	public LocalDateTime getBill_time() {
		return this.bill_time;
	}

	/****
	 * 订单生成日期
	 */
	public void setBill_time(LocalDateTime bill_time) {
		this.bill_time = bill_time;
	}

	/****
	 * 订单金额，分为单位
	 */
	public Integer getBill_amount() {
		return this.bill_amount;
	}

	/****
	 * 订单金额，分为单位
	 */
	public void setBill_amount(Integer bill_amount) {
		this.bill_amount = bill_amount;
	}

	/****
	 * 订单状态
	 */
	public String getBill_status() {
		return this.bill_status;
	}

	/****
	 * 订单状态
	 */
	public void setBill_status(String bill_status) {
		this.bill_status = bill_status;
	}

	/****
	 * 支付的业务类型
	 */
	public String getBusiness_type() {
		return this.business_type;
	}

	/****
	 * 支付的业务类型
	 */
	public void setBusiness_type(String business_type) {
		this.business_type = business_type;
	}

	/****
	 * 支付的业务的编号
	 */
	public String getBusiness_id() {
		return this.business_id;
	}

	/****
	 * 支付的业务的编号
	 */
	public void setBusiness_id(String business_id) {
		this.business_id = business_id;
	}

	/****
	 * 退款时间
	 */
	public LocalDateTime getRefund_time() {
		return this.refund_time;
	}

	/****
	 * 退款时间
	 */
	public void setRefund_time(LocalDateTime refund_time) {
		this.refund_time = refund_time;
	}

	/****
	 * 订单外部编号
	 */
	public String getBill_no() {
		return this.bill_no;
	}

	/****
	 * 订单外部编号
	 */
	public void setBill_no(String bill_no) {
		this.bill_no = bill_no;
	}

	public LocalDateTime getPay_time() {
		return pay_time;
	}

	public void setPay_time(LocalDateTime pay_time) {
		this.pay_time = pay_time;
	}

	/****
	 * 银行返回时间
	 */
	public LocalDateTime getReply_time() {
		return this.reply_time;
	}

	/****
	 * 银行返回时间
	 */
	public void setReply_time(LocalDateTime reply_time) {
		this.reply_time = reply_time;
	}

	/****
	 * 订单属于哪个用户
	 */
	public String getCustomer_id() {
		return this.customer_id;
	}

	/****
	 * 订单属于哪个用户
	 */
	public void setCustomer_id(String customer_id) {
		this.customer_id = customer_id;
	}

	/****
	 * 渠道对应的流水号
	 */
	public String getChannel_no() {
		return this.channel_no;
	}

	/****
	 * 渠道对应的流水号
	 */
	public void setChannel_no(String channel_no) {
		this.channel_no = channel_no;
	}

	/****
	 * 订单其他参数
	 */
	public String getBill_param() {
		return this.bill_param;
	}

	/****
	 * 订单其他参数
	 */
	public void setBill_param(String bill_param) {
		this.bill_param = bill_param;
	}

	public String getDetail_id() {
		return detail_id;
	}

	public void setDetail_id(String detail_id) {
		this.detail_id = detail_id;
	}

}